Subject: RE: "Best" way to build a DLL?
From: "Gerald S. Williams" <[email-masked]>
To: "Jason Tishler" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 15 Feb 2002 15:52:28 -0500

Thanks for the nudge. After seeing your mail, I poked around
pyconfig.h and found the USE_DL_IMPORT define.

Anyway, if you're linking to Cygwin Python, -DUSE_DL_IMPORT
on the gcc line eliminates those informational "Warnings",
at least from the Python library. Presumably, the distutils
package sets this automatically, but we're not using it.

-Jerry

-O Gerald S. Williams, 22Y-103GA : mailto:[email-masked] O-
-O AGERE SYSTEMS, 555 UNION BLVD : office:610-712-8661  O-
-O ALLENTOWN, PA, USA 18109-3286 : mobile:908-672-7592  O-

Jason Tishler wrote:
> Just to be clear, I'm building Cygwin Python the way that I always have
> (at least since my shared extension patch was accepted).  I assume you
> meant that I *could* build without __declspec() declarations if I desired.
> Since the __declspec's are there for Win32, I might as well use them.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/